## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://dev.writer.com/llms.txt)

Use this file to discover all available pages before exploring further.

---

### cURL

```
curl --location --request POST https://api.writer.com/v1/applications/{application_id} \
 --header "Authorization: Bearer <token>" \
 --header "Content-Type: application/json" \
--data-raw '{"inputs":[{"id": "Image ID", "value": ["12345"]}]}'
```

### Python Code Example

```
import os
from writerai import Writer

client = Writer(
    api_key=os.environ.get("WRITER_API_KEY"),
)
response = client.applications.generate_content(
    application_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    inputs=[{
        "id": "id",
        "value": ["string", "string", "string"],
    }, {
        "id": "id",
        "value": ["string", "string", "string"],
    }, {
        "id": "id",
        "value": ["string", "string", "string"],
    }],
)
print(response.suggestion)
```

### JavaScript Code Example

```
import Writer from 'writer-sdk';

const client = new Writer({
  apiKey: process.env['WRITER_API_KEY'],
});

async function main() {
  const response = await client.applications.generateContent('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', {
    inputs: [
      { id: 'id', value: ['string', 'string', 'string'] },
      { id: 'id', value: ['string', 'string', 'string'] },
      { id: 'id', value: ['string', 'string', 'string'] },
    ],
  });

console.log(response.suggestion);
}

main();
```

### Response Structure

200

```
{
  "suggestion": "<string>",
  "title": "<string>"
}
```

### API Information

No-code applications are now called [no-code agents](https://dev.writer.com/no-code/introduction). The [Applications API](https://dev.writer.com/api-reference/application-api/api-reference/application-api/applications), which you can use to programmatically interact with no-code agents, still uses the term `application` to minimize breaking changes.

#### Authorizations

**Authorization**  
string  
header  
required  
Bearer authentication header of the form `Bearer <token>`, where `<token>` is your [Writer API key](https://dev.writer.com/api-reference/api-keys).

#### Path Parameters

**application_id**  
string<uuid>  
required  
The unique identifier of a [no-code agent](https://dev.writer.com/no-code/introduction) in AI Studio.

#### Body

**inputs**  
generate_application_input · object[]  
required

#### Response

200  
application/json

**suggestion**  
string  
required  
The response from the model specified in the application.

**title**  
string  
The name of the output field.
